/*
 * Copyright 2018 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.drools.verifier.core.maps;

import org.junit.jupiter.api.Test;

import static org.assertj.core.api.Assertions.assertThat;

public class MultiMapFactoryTest {

    @Test
    void testDefault() throws Exception {
        assertThat(MultiMapFactory.make() instanceof ChangeHandledMultiMap).isFalse();
    }

    @Test
    void normal() throws Exception {
        assertThat(MultiMapFactory.make(false) instanceof ChangeHandledMultiMap).isFalse();
    }

    @Test
    void changeHandled() throws Exception {
        assertThat(MultiMapFactory.make(true) instanceof ChangeHandledMultiMap).isTrue();
    }
}